summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/misc-functions.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index 6094fb7f0..431e89f32 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -1108,7 +1108,9 @@ dyn_package() {
# make a temporary copy of ${D} so that any modifications we do that
# are binpkg specific, do not influence the actual installed image.
rm -rf "${PROOT}" || die "failed removing stale package tree"
- cp -la "${PORTAGE_BUILDDIR}/image" "${PROOT}" || die "failed creating packaging tree"
+ cp -pPR $(cp --help | grep -qs -e-l && echo -l) \
+ "${PORTAGE_BUILDDIR}/image" "${PROOT}" \
+ || die "failed creating packaging tree"
install_mask "${PROOT}" "${PKG_INSTALL_MASK}"